# Add alpha to hex color

Source: `R/color.R`
`apply_alpha.Rd`

Applies alpha (or opacity) to a color in hexadecimal form by converting opacity in the `[0, 1]` range to hex in the `[0, 255]` range and appending to the hex color.

    apply_alpha(color_hex, opacity = 0.5)

## Arguments

color_hex | A character string representing a hex color
opacity | Desired opacity of the output color

## Examples

    blue <- "#0e6ba8"
    blue_transparent <- apply_alpha(blue)

    if (requireNamespace("scales", quietly = TRUE)) {
      scales::show_col(c(blue, blue_transparent))
    }